package com.ducaller.sdkapplication.util;


import android.content.Context;
import android.content.SharedPreferences;

public class SharedPreferenceUtil {
    private static final String PREFERENCE_FILE = "shared_pre";
    private Context mContext;
    // 是否显示隐私声明
    public static final String PRE_KEY_PRIVACY = "privacy_display";
    // 是否显示来去电悬浮框
    public static final String PRE_KEY_FLOWVIEW = "flowview_display";


    public static void putBoolean(Context context, String key, boolean value) {
        SharedPreferences sharedPreferences = context.getSharedPreferences(PREFERENCE_FILE, Context.MODE_PRIVATE);
        sharedPreferences.edit().putBoolean(key, value).apply();
    }

    public static boolean getBoolean(Context context, String key, boolean defValue) {
        SharedPreferences sharedPreferences = context.getSharedPreferences(PREFERENCE_FILE, Context.MODE_PRIVATE);
        return sharedPreferences.getBoolean(key, defValue);
    }
}
